﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Telerik.UI.Xaml.Controls.Grid;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The User Control item template is documented at http://go.microsoft.com/fwlink/?LinkId=234236

namespace App61
{
    public sealed partial class MyRpcDataGrid : UserControl
    {
        public DataGridColumnCollection Columns
        {
            get
            {
                return this.grid.Columns;
            }
        }

        public MyRpcDataGrid()
        {
            this.InitializeComponent();

            this.DataContext = new ObservableCollection<Data>(from c in Enumerable.Range(0, 10) select new Data { ID = c, Name = "Name " + c });
        }
    }

    public class Data
    {
        public int ID { get; set; }

        public string Name { get; set; }
    }
}
